Bug 216517 - Review Request: gnome-valgrind-session - Run an entire GNOME session under valgrind
Review Request: gnome-valgrind-session - Run an entire GNOME session under va...
Status: CLOSED DUPLICATE of bug 444113
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 16:52 EST by Dave Malcolm
Modified: 2008-04-24 23:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 23:24:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2006-11-20 16:52:02 EST
Spec URL:
https://testing.108.redhat.com/source/browse/*checkout*/testing/trunk/incubator/gnome-valgrind-session/gnome-valgrind-session.spec?rev=292

SRPM URL:
https://testing.108.redhat.com/files/documents/78/162/gnome-valgrind-session-1.0-1.src.rpm

Description: 
This package adds two options to gdm's Session menu to run an entire GNOME
session under valgrind, and gather the results to report files in your home
directory names valgrind-session.0, valgrind-session.1, etc.

The two sessions filter the output, checking either for errors, or for memory
leaks.
Comment 2 Hans Petter Jansson 2006-11-25 10:34:26 EST
Dave, I put the tarball you asked for at

http://hp.cl.no/proj/gnome-valgrind-session/src/
Comment 3 Parag AN(पराग) 2006-11-26 10:36:52 EST
Update SPEC file for working Source tarball link.
Tarball contains backup copy of gnome-valgrind-errors-postprocess as
gnome-valgrind-errors-postprocess~. That should be removed.
However it will be good to have License copy included in tarball.

Can you update new SRPM with above changes? Then i will do review of this package.
Comment 4 Parag AN(पराग) 2006-11-26 10:40:05 EST
You should always give updated SPEC and SRPM links. I saw that you updates SPEC
in comment 2 but where is its SRPM? Now you should submit 
gnome-valgrind-session-1.0-3.src.rpm and its spec.
Comment 5 Parag AN(पराग) 2006-11-29 12:22:16 EST
ping
Comment 6 Hans Petter Jansson 2006-12-18 15:41:16 EST
I've put up a new tarball at http://hp.cl.no/proj/gnome-valgrind-session/src/.
It does not contain any backup files, and I added a LICENSE file and individual
license headers to the scripts. The new version is 1.1. I'll leave the FC
packaging fixes to Dave, if he's got the time.
Comment 7 Dave Malcolm 2006-12-18 15:43:14 EST
Thanks hpj.   

I'm doomed timewise until early January, I hope to pick this up again then.
Comment 8 Parag AN(पराग) 2006-12-19 01:43:29 EST
I saw tarball
Is single line in LICENSE file, acceptable?
"This package is in the Public Domain."
Comment 9 Hans Petter Jansson 2006-12-19 03:33:34 EST
I am not a lawyer, so I don't know what the exact requirements are to release
something into the public domain. I would assume that it's sufficient if you can
prove beyond reasonable doubt that I said it is.
Comment 10 Parag AN(पराग) 2006-12-27 00:03:35 EST
Better to discuss this then on Fedora-extras mailing list.
Comment 11 Parag AN(पराग) 2007-02-22 05:28:33 EST
Any updates here or is this review DEAD?
Comment 12 Jason Tibbitts 2007-06-05 14:53:33 EDT
Sure looks dead to me.
Comment 13 Matthias Clasen 2007-09-12 09:28:51 EDT
Reopening. Here are some new packages:

http://people.redhat.com/mclasen/gnome-valgrind-session/
Comment 14 Matthias Clasen 2007-09-12 09:29:56 EDT
Wrt to the license question, "Public Domain" is a valid license according to
http://fedoraproject.org/wiki/Licensing#SoftwareLicenses
Comment 15 Debarshi Ray 2007-12-25 11:48:47 EST
Ping?

Matthias, if you want to "re-open" this review I think you need to submit a
fresh review and mark this as duplicate of that one.
Comment 16 Jason Tibbitts 2008-01-21 12:48:34 EST
Matthias, you should at least be CC'd on this ticket if you're going to push it
forward.  Otherwise I don't see how you would notice the commentary.
Comment 17 Jason Tibbitts 2008-01-27 15:25:39 EST
I wasn't successful in getting anyone who is Gnome-savvy to look at this, so
I'll just ask: is anyone still interested in this package?  I will review it if
someone still wants to submit it.
Comment 18 Debarshi Ray 2008-01-27 15:51:18 EST
I am interested in submitting this, but it will be almost 7 days before I submit
this. Freshening up the anjuta and gnome-build packages will keep me
pre-occupied till then. If someone wants to take it up before that, feel free.
Comment 19 Jason Tibbitts 2008-04-24 17:41:41 EDT
Well, it's been far longer than seven days.  Still interested?  Otherwise I
guess I'll close this again.
Comment 20 Debarshi Ray 2008-04-24 22:37:16 EDT
Oops. It slipped my mind. I am still interested. Will file a new bug and close
this one as a duplicate.
Comment 21 Debarshi Ray 2008-04-24 23:24:06 EDT

*** This bug has been marked as a duplicate of 444113 ***

Note You need to log in before you can comment on or make changes to this bug.